Announcement Announcement Module
Collapse
No announcement yet.
java.awt.Headless Exception while installing sts .sh file for linux 64Bit Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • java.awt.Headless Exception while installing sts .sh file for linux 64Bit

    I've downloaded the 64bit .sh file for linux from the spring website.
    When I created a sts folder, marked the .sh file as executable (chmod +x) and executed it. I get the following error:

    Code:
    preparing the installer... done
     starting UI installer. please follow instructions on screen...java.awt.HeadlessException
    	at java.awt.GraphicsEnvironment.checkHeadless(GraphicsEnvironment.java:207)
    	at java.awt.Window.<init>(Window.java:535)
    	at java.awt.Frame.<init>(Frame.java:420)
    	at java.awt.Frame.<init>(Frame.java:385)
    	at javax.swing.JFrame.<init>(JFrame.java:174)
    	at com.izforge.izpack.installer.GUIInstaller.loadLangPack(GUIInstaller.java:383)
    	at com.izforge.izpack.installer.GUIInstaller.access$000(GUIInstaller.java:82)
    	at com.izforge.izpack.installer.GUIInstaller$1.run(GUIInstaller.java:174)
    	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:241)
    	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:727)
    	at java.awt.EventQueue.access$200(EventQueue.java:103)
    	at java.awt.EventQueue$3.run(EventQueue.java:688)
    	at java.awt.EventQueue$3.run(EventQueue.java:686)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
    	at java.awt.EventQueue.dispatchEvent(EventQueue.java:697)
    	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
    	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
    	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
    	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
    	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
    	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
    java.lang.NullPointerException
    	at com.izforge.izpack.installer.GUIInstaller.loadGUI(GUIInstaller.java:646)
    	at com.izforge.izpack.installer.GUIInstaller.access$100(GUIInstaller.java:82)
    	at com.izforge.izpack.installer.GUIInstaller$2.run(GUIInstaller.java:213)
    	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
    	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:727)
    	at java.awt.EventQueue.access$200(EventQueue.java:103)
    	at java.awt.EventQueue$3.run(EventQueue.java:688)
    	at java.awt.EventQueue$3.run(EventQueue.java:686)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
    	at java.awt.EventQueue.dispatchEvent(EventQueue.java:697)
    	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
    	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
    	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
    	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
    	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
    	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
     done
     cleaning up... done
    
    *******************************************************************************
    *                         For more information vist:                          *
    *                  http://www.springsource.com/products/sts                   *
    Need help!

  • #2
    Hey!

    I am not sure what exactly is causing this problem, but it looks like the installer has a problem with the windowing system. As a workaround I would suggest to download the tar.gz version of the Linux STS distribution and unpack and use that.

    So further investigate the problem itself, it would be great if you could let us know on what system you are running (which Linux distribution/version and what windowing toolkit in what version).

    HTH,
    Martin

    Comment


    • #3
      Code:
      sudo apt-get install openjdk-7-jre
      works for me

      Comment

      Working...
      X